Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Libretro
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
krumpf
n00b
n00b


Joined: 15 Jul 2018
Posts: 36

PostPosted: Fri Dec 20, 2019 12:01 pm    Post subject: Libretro Reply with quote

Hi,

I was using the abendbrot overlay for retroarch and libretro cores, but it seems this overlay is no more :?
I've tried switching to menelkir overlay which looks quite complete about emulation, but I get errors when trying to emerge (seems portage can't fetch sources)
Tried with vortex overlay, compiling works, but it misses a few cores like Mame/FBAlpha.
Does anyone know where/how could I get a better retroarch/libretro support for gentoo ? (I'd rather not mix multiples overlays aka, get a core from overlay A, and another from overlay B, it tends to get messy)
Back to top
View user's profile Send private message
Ionen
Veteran
Veteran


Joined: 06 Dec 2018
Posts: 1275

PostPosted: Fri Dec 20, 2019 12:34 pm    Post subject: Reply with quote

Sad to see that overlay is still abandoned. I used to use it but when the updates stopped I ended up copying ebuilds (only those I use, so not many) to my local overlay and maintaining myself (only -9999 versions, can't be bothered with bumping, at most just have to do minor build fixes now and then).

Haven't tried it but menelkir overlay that you mentioned does look alright, seems updated and it's mostly live ebuilds as well -- which in theory should have working fetching, common git hosts typically doesn't go anywhere unlike odd releases. Are you having problems fetching live versions? This is just git-r3 + github for most, not that I tried the overlay.
Back to top
View user's profile Send private message
krumpf
n00b
n00b


Joined: 15 Jul 2018
Posts: 36

PostPosted: Sat Dec 21, 2019 10:20 pm    Post subject: Reply with quote

Here's what I get when trying to emerge libretro-meta from menelkir overlay

Code:
>>> Jobs: 0 of 7 complete, 1 failed                 Load avg: 0.16, 0.16, 0.18
 * Package:    games-emulation/beetle-psx-libretro-9999-r2
 * Repository: menelkir
 * Maintainer: menelkir@itroll.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux opengl software userland_GNU
 * FEATURES:   network-sandbox preserve-libs sandbox userpriv usersandbox
 * Repository id: libretro_libretro-beetle-psx.git
 * To override fetched repository properties, use:
 *   EGIT_OVERRIDE_REPO_LIBRETRO_LIBRETRO_BEETLE_PSX
 *   EGIT_OVERRIDE_BRANCH_LIBRETRO_LIBRETRO_BEETLE_PSX
 *   EGIT_OVERRIDE_COMMIT_LIBRETRO_LIBRETRO_BEETLE_PSX
 *   EGIT_OVERRIDE_COMMIT_DATE_LIBRETRO_LIBRETRO_BEETLE_PSX
 *
 * Fetching https://github.com/libretro/libretro-beetle-psx.git ...
git fetch https://github.com/libretro/libretro-beetle-psx.git +HEAD:refs/git-r3/HEAD
fatal: could not read Username for 'https://github.com': terminal prompts disabled
 * ERROR: games-emulation/beetle-psx-libretro-9999-r2::menelkir failed (unpack phase):
 *   Unable to fetch from any of EGIT_REPO_URI
 *
 * Call stack:
 *     ebuild.sh, line  125:  Called src_unpack
 *   environment, line 2922:  Called libretro-core_src_unpack
 *   environment, line 2097:  Called git-r3_src_unpack
 *   environment, line 1991:  Called git-r3_src_fetch
 *   environment, line 1985:  Called git-r3_fetch
 *   environment, line 1907:  Called die
 * The specific snippet of code:
 *       [[ -n ${success} ]] || die "Unable to fetch from any of EGIT_REPO_URI";
 *
 * If you need support, post the output of `emerge --info '=games-emulation/beetle-psx-libretro-9999-r2::menelkir'`,
 * the complete build log and the output of `emerge -pqv '=games-emulation/beetle-psx-libretro-9999-r2::menelkir'`.
 * The complete build log is located at '/var/tmp/portage/games-emulation/beetle-psx-libretro-9999-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/games-emulation/beetle-psx-libretro-9999-r2/temp/environment'.
 * Working directory: '/var/tmp/portage/games-emulation/beetle-psx-libretro-9999-r2/work'
 * S: '/var/tmp/portage/games-emulation/beetle-psx-libretro-9999-r2/work/beetle-psx-libretro-9999'

 * Messages for package games-emulation/beetle-psx-libretro-9999-r2:

 * ERROR: games-emulation/beetle-psx-libretro-9999-r2::menelkir failed (unpack phase):
 *   Unable to fetch from any of EGIT_REPO_URI
 *
 * Call stack:
 *     ebuild.sh, line  125:  Called src_unpack
 *   environment, line 2922:  Called libretro-core_src_unpack
 *   environment, line 2097:  Called git-r3_src_unpack
 *   environment, line 1991:  Called git-r3_src_fetch
 *   environment, line 1985:  Called git-r3_fetch
 *   environment, line 1907:  Called die
 * The specific snippet of code:
 *       [[ -n ${success} ]] || die "Unable to fetch from any of EGIT_REPO_URI";
 *
 * If you need support, post the output of `emerge --info '=games-emulation/beetle-psx-libretro-9999-r2::menelkir'`,
 * the complete build log and the output of `emerge -pqv '=games-emulation/beetle-psx-libretro-9999-r2::menelkir'`.
 * The complete build log is located at '/var/tmp/portage/games-emulation/beetle-psx-libretro-9999-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/games-emulation/beetle-psx-libretro-9999-r2/temp/environment'.
 * Working directory: '/var/tmp/portage/games-emulation/beetle-psx-libretro-9999-r2/work'
 * S: '/var/tmp/portage/games-emulation/beetle-psx-libretro-9999-r2/work/beetle-psx-libretro-9999'
Back to top
View user's profile Send private message
Ionen
Veteran
Veteran


Joined: 06 Dec 2018
Posts: 1275

PostPosted: Sat Dec 21, 2019 11:42 pm    Post subject: Reply with quote

Yeah you're right, it's not that the proper link is dead it's auto-detected wrong. I had a look at the ebuild and they seem to have added a
Code:
LIBRETRO_REPO_NAME="libretro/${PN//-libretro}"
before the libretro-core inherit. It works if you just remove the line. Seems that -r2 mass commit is the problem unless I'm overlooking something (only tested beetle-psx though, maybe needed for others)
Back to top
View user's profile Send private message
krumpf
n00b
n00b


Joined: 15 Jul 2018
Posts: 36

PostPosted: Sun Dec 22, 2019 7:14 am    Post subject: Reply with quote

Thanks for your answer :)
I just sent a mail to the overlay maintainer, I hope he'll fix all that
Back to top
View user's profile Send private message
Menelkir
n00b
n00b


Joined: 13 Jan 2006
Posts: 4
Location: Porto Alegre

PostPosted: Tue Jan 14, 2020 8:07 am    Post subject: Reply with quote

It's fixed and updated. Since the libretro cores doesn't update that much, I marked the last "revised" ones as stable and the 9999 as unstable so the harsh will be minimum. :)
Back to top
View user's profile Send private message
charles17
Advocate
Advocate


Joined: 02 Mar 2008
Posts: 3518

PostPosted: Tue Jan 14, 2020 10:50 am    Post subject: Re: Libretro Reply with quote

krumpf wrote:
Does anyone know where/how could I get a better retroarch/libretro support for gentoo ?

Have you checked zugaina?
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 6727

PostPosted: Tue Jan 14, 2020 11:27 am    Post subject: Reply with quote

I just build it from git. I tried making ebuilds myself but there's so many build options and they change so often it's impossible to keep up.
Back to top
View user's profile Send private message
sambal
n00b
n00b


Joined: 05 May 2020
Posts: 1

PostPosted: Tue May 05, 2020 4:55 am    Post subject: Just came across this thread, and tried to use the repo Reply with quote

Menelkir wrote:
It's fixed and updated. Since the libretro cores doesn't update that much, I marked the last "revised" ones as stable and the 9999 as unstable so the harsh will be minimum. :)


Hey there Menelkir, I just found that I had to do a local mod on the Manifest file to get mame2016-libretro-1.0_pre20191224 to install
The file size and both hashes for the tar ball from github are different, and prevents the package from installing..

I wasn't sure where else to post this, so If i've put this in the wrong place, apologies.

Below is the updated values I needed in my Manifest file to get mame2016 to download and start the install

Code:
DIST mame2016-libretro-1.0_pre20191224.tar.gz 114718658 BLAKE2B 627b8c99eb96ac37697596b1850bf3438778bf6d728240e0ec2ce58e5087c08c726f780d075f5a27e4efb98b1a0730c94b7a0fc69f10661fc8cb8055f5806f0a SHA512 68eb868e9d91781071f4f7dfbf1183b4b080e3e2da317e8e239435ba7aede82d81b1d9c
64b1f61cde9043c3707f3cc30ad3f3fb66f7841312c673d4c8e89a128
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum